<div class="lift-signoff">
  <app-content-banner [isDashboard]="false" pageName="Lift SignOff"></app-content-banner>
  <form [formGroup]="liftsignoffForm" (ngSubmit)="onSubmit()">
    <mat-card class="lsignoff-main-card mat-elevation-z0">
      <mat-card-header fxLayout="column" fxLayoutGap="10px">
        <div fxLayout="row" class="second-header-filter">
          <span><b>First Name: </b> <span>{{clientInfo.firstName}}</span></span>
          <span><b>Last Name: </b> <span>{{clientInfo.lastName}}</span></span>
          <span><b>DOB: </b> <span>{{clientInfo.dob}}</span></span>
          <span><b>SSN: </b> <span>{{clientInfo.ssn}}</span></span>
          <span><b>Source System: </b> <span>{{clientInfo.clientSourceDescription}}</span></span>
          <span><b>Client#: </b> <span>{{clientInfo.clientID}}</span></span>
        </div>
      </mat-card-header>



      <mat-card-content>
        <div class="example-small-box " fxLayout="column">
          <mat-accordion>
            <mat-expansion-panel [expanded]="true">
              <mat-expansion-panel-header>
                <mat-panel-title>
                  <span>
                    Application Determination
                  </span>
                </mat-panel-title>
              </mat-expansion-panel-header>
              <ag-grid-angular #agGrid id="myGrid" style="width: 100%" class="ag-theme-balham my-grid" [columnDefs]="columnDefs"
                [defaultColDef]="defaultColDef" [rowData]="determinationInfoData" [rowSelection]="rowSelection"
                [suppressRowClickSelection]="true" [animateRows]="true" [gridOptions]="determinationinfogridOptions"
                [pagination]="true" [paginationPageSize]="10" (rowSelected)="onDeterminationInfogridRowSelected($event)"
                [frameworkComponents]="frameworkComponents" (gridReady)="onGridReady($event)" [overlayLoadingTemplate]="overlayLoadingTemplate"
                [overlayNoRowsTemplate]="overlayNoRowsTemplate"></ag-grid-angular>

            </mat-expansion-panel>
          </mat-accordion>
        </div>
      </mat-card-content>


      <mat-card-content *ngIf="enableUpdate === true">
        <div class="example-small-box" fxLayout="column">
          <div class="example-container ">
            <div fxLayout="row">

              <div fxFlex="50" class="col">
                <label class="lblstyle" style="padding-left: 20px">Reviewer Sign Off :</label>
                <label class="lblstyle" style="padding-left: 20px">{{signoffByUser}}&nbsp; </label>
              </div>
              <div fxFlex="50" class="col">
                <label class="lblstyle" style="padding-left: 20px">Sign Off Date :</label>
                <label class="lblstyle" style="padding-left: 20px">{{signoffDate}} &nbsp; </label>
              </div>
            </div>



          </div>
        </div>


      </mat-card-content>
      <div fxFlex fxLayout="row" style="margin: 5px; margin-top: 20px; " fxLayoutGap="10px">
        <div *ngIf="enableUpdate === true"><button  mat-raised-button color="primary" style="width: 180px;" (click)="OnSave($event)"> Lift Sign Off</button></div>
        <div ><button  mat-raised-button color="primary" type="button" style="width: 180px;" (click)="exitPage()">Exit</button></div>
    </div>
      <!--<app-nav-footer [isSaveRequired]="enableUpdate" [isExitRequired]="true" [isPreviousRequired]="false"
        [isNextRequired]="false" (Exitbtn)="exitPage()" (Savebtn)="OnSave($event)"></app-nav-footer>-->

    </mat-card>
  </form>
</div>